Find similar news

View as Markdown
Returns news articles similar to the article specified by exactly one id or slug. When similarity stages return nothing, falls back to recent articles excluding the target. The similarity embedding model is pinned to qwen-4b-fp16; embeddingModel, when provided, must equal qwen-4b-fp16. Source: https://huggingface.co/Qwen/Qwen3-Embedding-4B-GGUF?show_file_info=Qwen3-Embedding-4B-f16.gguf.

Authentication

X-Client-Secretstring

Client secret for read-only service-to-service access (no writes)

Query parameters

idintegerOptional

News article id — exactly one of id or slug is required.

slugstringOptionalformat: "^[a-z0-9_-]+$"<=255 characters

News article slug — exactly one of id or slug is required.

embeddingModelenumOptional
Pinned similarity embedding model
Allowed values:
pageintegerOptional>=0Defaults to 0

Zero-based page index (0..N)

sizeintegerOptional>=1Defaults to 4
The size of the page to be returned
sortlist of stringsOptional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

OK
contentlist of objectsOptional
emptybooleanOptional
firstbooleanOptional
lastbooleanOptional
numberintegerOptional
numberOfElementsintegerOptional
pageableobjectOptional
sizeintegerOptional
sortobjectOptional
totalElementslongOptional
totalPagesintegerOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
406
Not Acceptable Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error